org.keycloak.representations.idm

## Class UserFederationProviderFactoryRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserFederationProviderFactoryRepresentation

-     public class UserFederationProviderFactoryRepresentation
      extends Object

  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationProviderFactoryRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getHelpText()`
    `String` | `getId()`
    `Set<String>` | `getOptions()`
    `List<ConfigPropertyRepresentation>` | `getProperties()`
    `int` | `hashCode()`
    `void` | `setHelpText(String helpText)`
    `void` | `setId(String id)`
    `void` | `setOptions(Set<String> options)`
    `void` | `setProperties(List<ConfigPropertyRepresentation> properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFederationProviderFactoryRepresentation

          public UserFederationProviderFactoryRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getOptions

          public Set<String> getOptions()

    - #### setOptions

          public void setOptions(Set<String> options)

    - #### getHelpText

          public String getHelpText()

    - #### setHelpText

          public void setHelpText(String helpText)

    - #### getProperties

          public List<ConfigPropertyRepresentation> getProperties()

    - #### setProperties

          public void setProperties(List<ConfigPropertyRepresentation> properties)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.